FreeBSD : Flash Player -- arbitrary code execution (ab099d2c-8c8c-11e9-8ba7-6451062f0f7a)

Medium Nessus Plugin ID 125839

Synopsis

The remote FreeBSD host is missing a security-related update.

Description

Adobe reports :

- This update resolves a use-after-free vulnerability that could lead to arbitrary code execution (CVE-2019-7845).

Solution

Update the affected package.

See Also

https://helpx.adobe.com/security/products/flash-player/apsb19-30.html

http://www.nessus.org/u?beebb247

Plugin Details

Severity: Medium

ID: 125839

File Name: freebsd_pkg_ab099d2c8c8c11e98ba76451062f0f7a.nasl

Version: 1.2

Type: local

Published: 2019/06/12

Updated: 2019/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:linux-flashplayer, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2019/06/11

Vulnerability Publication Date: 2019/06/11

Reference Information

CVE: CVE-2019-7845